<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classpdts__synchro.html">pdts_synchro</a></li><li class="navelem"><a class="el" href="classpdts__synchro_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__synchro_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:af2bc9074b4630682394deb22af47e657"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2bc9074b4630682394deb22af47e657"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#af2bc9074b4630682394deb22af47e657">da</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4993ce8e0b157a72b13e319155a46edf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4993ce8e0b157a72b13e319155a46edf"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#a4993ce8e0b157a72b13e319155a46edf">db</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Attributes"></a>
Attributes</h2></td></tr>
 <tr class="memitem:afc4399cd1c5197a51e23b83bfac03fe2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc4399cd1c5197a51e23b83bfac03fe2"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#afc4399cd1c5197a51e23b83bfac03fe2">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff4eb663db8042acc58b9147a5c4140d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff4eb663db8042acc58b9147a5c4140d"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#aff4eb663db8042acc58b9147a5c4140d">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">db</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">signal</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; yes &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af8f9f458dd45553f73f9b65969206619"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8f9f458dd45553f73f9b65969206619"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#af8f9f458dd45553f73f9b65969206619">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">q</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">signal</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; yes &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeee0aa3d44e088eca0306839656ab74d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeee0aa3d44e088eca0306839656ab74d"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#aeee0aa3d44e088eca0306839656ab74d">SHREG_EXTRACT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abd3e6422302fd05f6c3a8fd3023352de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd3e6422302fd05f6c3a8fd3023352de"></a>
<a class="el" href="classpdts__synchro_1_1rtl.html#abd3e6422302fd05f6c3a8fd3023352de">SHREG_EXTRACT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">db</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">signal</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__synchro_8vhd_source.html#l00025">25</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__synchro_8vhd_source.html">pdts_synchro.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__synchro_8vhd_source.html">pdts_synchro.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__synchro_8vhd_source.html">pdts_synchro.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
